GET api/Drones

Request Information

URI Parameters

None.

Body Parameters

None.

Response Information

Resource Description

Collection of Drone
NameDescriptionTypeAdditional information
droneId

globally unique identifier

None.

modelId

globally unique identifier

None.

payloadId

globally unique identifier

None.

tailNumber

string

None.

createdDate

date

None.

blackBoxId

string

None.

Model

Model

None.

Payload

Payload

None.

Response Formats

application/json, text/json

Sample:
[
  {
    "droneId": "8940f6c1-b887-4b40-8436-5deb72e54930",
    "modelId": "27a65dad-5b71-47b3-8a02-755310521599",
    "payloadId": "b7737ca1-ceb9-4a5e-ba3f-7c46ccd5ab0b",
    "tailNumber": "sample string 4",
    "createdDate": "2026-03-20T18:46:16.2839749+00:00",
    "blackBoxId": "sample string 5",
    "Model": {
      "modelId": "6105e759-26c3-4c25-ad30-6c3f7f42ff23",
      "name": "sample string 2",
      "createdDate": "2026-03-20T18:46:16.2839749+00:00"
    },
    "Payload": {
      "payloadId": "837a6991-ede1-4362-ae1c-6601210bc535",
      "name": "sample string 2",
      "createdDate": "2026-03-20T18:46:16.2839749+00:00"
    }
  },
  {
    "droneId": "8940f6c1-b887-4b40-8436-5deb72e54930",
    "modelId": "27a65dad-5b71-47b3-8a02-755310521599",
    "payloadId": "b7737ca1-ceb9-4a5e-ba3f-7c46ccd5ab0b",
    "tailNumber": "sample string 4",
    "createdDate": "2026-03-20T18:46:16.2839749+00:00",
    "blackBoxId": "sample string 5",
    "Model": {
      "modelId": "6105e759-26c3-4c25-ad30-6c3f7f42ff23",
      "name": "sample string 2",
      "createdDate": "2026-03-20T18:46:16.2839749+00:00"
    },
    "Payload": {
      "payloadId": "837a6991-ede1-4362-ae1c-6601210bc535",
      "name": "sample string 2",
      "createdDate": "2026-03-20T18:46:16.2839749+00:00"
    }
  }
]

text/html

Sample:
[{"droneId":"8940f6c1-b887-4b40-8436-5deb72e54930","modelId":"27a65dad-5b71-47b3-8a02-755310521599","payloadId":"b7737ca1-ceb9-4a5e-ba3f-7c46ccd5ab0b","tailNumber":"sample string 4","createdDate":"2026-03-20T18:46:16.2839749+00:00","blackBoxId":"sample string 5","Model":{"modelId":"6105e759-26c3-4c25-ad30-6c3f7f42ff23","name":"sample string 2","createdDate":"2026-03-20T18:46:16.2839749+00:00"},"Payload":{"payloadId":"837a6991-ede1-4362-ae1c-6601210bc535","name":"sample string 2","createdDate":"2026-03-20T18:46:16.2839749+00:00"}},{"droneId":"8940f6c1-b887-4b40-8436-5deb72e54930","modelId":"27a65dad-5b71-47b3-8a02-755310521599","payloadId":"b7737ca1-ceb9-4a5e-ba3f-7c46ccd5ab0b","tailNumber":"sample string 4","createdDate":"2026-03-20T18:46:16.2839749+00:00","blackBoxId":"sample string 5","Model":{"modelId":"6105e759-26c3-4c25-ad30-6c3f7f42ff23","name":"sample string 2","createdDate":"2026-03-20T18:46:16.2839749+00:00"},"Payload":{"payloadId":"837a6991-ede1-4362-ae1c-6601210bc535","name":"sample string 2","createdDate":"2026-03-20T18:46:16.2839749+00:00"}}]